function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { forwardRef } from 'react';
import BaseTable from "./BaseTable";
import DataSourceProvider from "../provider/dataSource/DataSourceProvider";
import "./index.less";
var DataSourceTable = function DataSourceTable(props, ref) {
  var dataSource = props.dataSource,
    __designMode = props.__designMode,
    extraParams = props.extraParams;
  return /*#__PURE__*/React.createElement(DataSourceProvider, {
    dataSource: dataSource,
    __designMode: __designMode,
    extraParams: extraParams
  }, /*#__PURE__*/React.createElement(BaseTable, _extends({}, props, {
    ref: ref
  })));
};
export default /*#__PURE__*/forwardRef(DataSourceTable);